Subject: Re: bug#3395: 23.0.94; Remove colon after option etc. name

From: martin rudalics <[email-masked]>
Date: Thu, 28 May 2009 17:15:54 +0200

> A colon is a symbol consituent. A command that picks up the symbol at
 > point will conveniently pick up the variable etc. name, but it will
 > also include the colon (assuming that it correctly respects Lisp
 > symbol syntax), which is incorrect.

Maybe we should improve or expand the regexp of `variable-at-point'

       "\\`\\W*\\(.*?\\)\\W*\\'"

to strip _any_ symbol characters surrounding a word-bounded substring at
point.  Or add yet another condition with a laxer regexp.

martin